
Redmine - Feature #5940

see the version of redmine

2010-07-22 21:39 - odile oudre

Status: Closed Start date: 2010-07-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Could we see the redmine somewhere on the web site intalled ?

Related issues:

Is duplicate of Redmine - Feature #1271: The Version number should be shown i... Closed 2008-05-21

Has duplicate Redmine - Feature #7502: Display installed version in the footer Closed 2011-01-31

Has duplicate Redmine - Feature #9078: Change the "Power By Redmine" to Inclu... Closed 2011-08-18

History

#1 - 2010-07-22 22:50 - Yuki Kita

- Status changed from New to Resolved

Please ask a question at the forum below

http://www.redmine.org/projects/redmine/boards/2

Anyway, the answer is that you can see the redmine version at Administration/Information page if you are an administrator.

#2 - 2010-07-23 00:17 - Holger Just

- Status changed from Resolved to Closed

- Resolution set to Invalid

#3 - 2010-07-26 20:43 - Mikhail Sviridov

- Status changed from Closed to Reopened

Yuki Kita

 Anyway, the answer is that you can see the redmine version at Administration/Information page if you are an administrator.

I think that version of redmine must be available for all users and that's why footer text may contain this information as well:

Powered by Redmine © (svn 3892) 2006-2010 Jean-Philippe Lang

or

Powered by Redmine © (ver 1.0.0) 2006-2010 Jean-Philippe Lang

or somehow else.

This way users can test demo version of redmine online and report issues and feature requests with revision or version mentioned.

#4 - 2010-07-26 23:46 - Yuki Kita

Михаил Свиридов wrote:

I think that version of redmine must be available for all users and that's why footer text may contain this information as well:

 Agreed.

It is better to show the Redmine version for all users.
http://www.redmine.org/projects/redmine/boards/2


But the subject of this issue should be changed like "Show the Redmine version for all users".

#5 - 2010-07-27 02:17 - Gary Mueller

This duplicates #1271. Basically the answer is that this change would represent a security vulnerability and as such has been rejected previously

#6 - 2010-07-27 09:56 - Felix Schäfer

- Status changed from Reopened to Closed

- Resolution changed from Invalid to Duplicate

This is not going into core for the reasons discussed on #1271.
